com.smartgwt.client.widgets.grid.events

## Class EditFailedEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<EditFailedHandler>
        - - com.smartgwt.client.widgets.grid.events.EditFailedEvent

-     public class EditFailedEvent
      extends BrowserEvent<EditFailedHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditFailedEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(EditFailedHandler handler)`
    `static <S extends HasEditFailedHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<EditFailedHandler>` | `getAssociatedType()`
    `int` | `getColNum()` index of the column where the edit failed, if applicable
    `DSResponse` | `getDsResponse()` DSResponse, for saves through a DataSource
    `EditCompletionEvent` | `getEditCompletionEvent()` Edit completion event that led to the save attempt
    `java.util.Map` | `getNewValues()` A Map of the new values that we attempted to save.
    `Record` | `getRecord()` old values before the save occurred
    `int` | `getRowNum()` current index of the row we attempted to save
    `static com.google.gwt.event.shared.GwtEvent.Type<EditFailedHandler>` | `getType()` Gets the type associated with this event.

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EditFailedEvent

          public EditFailedEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasEditFailedHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                             com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<EditFailedHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(EditFailedHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<EditFailedHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<EditFailedHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<EditFailedHandler>`

    - #### getRowNum

          public int getRowNum()

      current index of the row we attempted to save
      Returns:
        current index of the row we attempted to save

    - #### getColNum

          public int getColNum()

      index of the column where the edit failed, if applicable
      Returns:
        index of the column where the edit failed, if applicable

    - #### getEditCompletionEvent

          public EditCompletionEvent getEditCompletionEvent()

      Edit completion event that led to the save attempt
      Returns:
        Edit completion event that led to the save attempt

    - #### getDsResponse

          public DSResponse getDsResponse()

      DSResponse, for saves through a DataSource
      Returns:
        DSResponse, for saves through a DataSource

    - #### getNewValues

          public java.util.Map getNewValues()

      A Map of the new values that we attempted to save. In addition to fields that were changed, the Map contains the primary key field
      Returns:
        new values that we attempted to save

    - #### getRecord

          public Record getRecord()

      old values before the save occurred
      Returns:
        old values before the save occurred